import java.util.Scanner;

public class AumentarNumeros
  
{
  
  public static void main(String[] args) 
  {
    Scanner teclado = new Scanner(System.in);
    System.out.println("LED number display");
    boolean detener=true;
    
    while (detener==true)
    {
      System.out.print("\nNumero a mostrar [0=Salir]:");
      teclado.skip("[\n\r\t ]*");
      String numero=teclado.nextLine();
      
      if (numero.equals("0"))
      { 
        System.out.println();
        detener=false;
      }
      
      else 
      {
        System.out.print("Factor de Aumento(x):");
        int aumento = teclado.nextInt();
        
        int num=0;
        
        
        for (int i=0; i<numero.length(); ++i)
        {
          if(numero.charAt(i)=='0')
          { 
            num=0;
            
            for (int j=1; j<=5*aumento; ++j)
            {  
              if ( j<=aumento || j >((5*aumento)-aumento))
                
                for (int k=1; k<=3*aumento; ++k)
              {
                System.out.print("#");
                
              }
              System.out.println();
              
 
              
              
  
            }
            
            System.out.println();
          }
          
          if(numero.charAt(i)=='1')
          { 
            num=1;
            
            for (int j=1; j<=5*aumento; ++j)
            {  
              for (int k=1; k<=aumento; ++k)
              {
                System.out.print("#");
                
              }
              System.out.println();
            }
            System.out.println();
          }
          
          else if(numero.charAt(i)=='2')
            num=2;  
          
          
        }
      }
    }
  }
}


